//
//  ContentMainTabCategoryView.swift
//  SodaLive
//
//  Created by klaus on 2/20/25.
//

import SwiftUI

struct ContentMainTabCategoryView: View {
    
    let imageName: String
    let title: String
    let onClick: () -> Void
    
    var body: some View {
        VStack(spacing: 5.3) {
            Image(imageName)
                .resizable()
                .frame(width: 43, height: 43)
            
            Text(title)
                .font(.custom(Font.medium.rawValue, size: 12))
                .foregroundColor(.gray77)
        }
        .onTapGesture {
            onClick()
        }
    }
}

#Preview {
    ContentMainTabCategoryView(
        imageName: "ic_category_series",
        title: "시리즈",
        onClick: {}
    )
}
